require_relative 'lib/quby/compiler/version'

Gem::Specification.new do |spec|
  spec.name          = "quby-compiler"
  spec.version       = Quby::Compiler::VERSION
  spec.authors       = ["Marten Veldthuis"]
  spec.email         = ["marten@veldthuis.com"]

  spec.summary       = %q{Quby::Compiler compiles a DSL for questionnaires to JSON}
  #spec.description   = %q{TODO: Write a longer description or delete this line.}
  spec.homepage      = "https://gitlab.roqua.nl/roqua/quby-compiler"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  #spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  #spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  #spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "activemodel", ">= 5.0"
  spec.add_dependency "actionview", ">= 5.0"
  spec.add_dependency "activesupport", ">= 5.0"
  spec.add_dependency 'dry-struct', '>= 1.3.0'
  spec.add_dependency 'nokogiri', '>= 1.8'
  spec.add_dependency 'nokogumbo'
  spec.add_dependency "redcarpet", '~> 3.5'
  spec.add_dependency "method_source"
  spec.add_dependency "roqua-support"
end
